__gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator(3)

NAME
__gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator - Constant child iterator.

SYNOPSIS

Inherited by __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator.

  Public Types
typedef _Alloc::difference_type difference_type
typedef std::forward_iterator_tag iterator_category
typedef node_pointer_pointer pointer
typedef node_pointer_reference reference
typedef node_pointer value_type

  Public Member Functions
const_iterator (node_pointer_pointer p_p_cur=0, node_pointer_pointer p_p_end=0)
bool operator!= (const const_iterator &other) const
node_const_pointer operator* () const
const_iterator & operator++ ()
const_iterator operator++ (int)
const node_pointer_pointer operator-> () const
bool operator== (const const_iterator &other) const

  Public Attributes
node_pointer_pointer m_p_p_cur
node_pointer_pointer m_p_p_end

Detailed Description

  template<typename _ATraits, typename Metadata>
struct __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator" Constant child iterator.

Definition at line 255 of file pat_trie_base.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.